package cn.iocoder.yudao.module.basic.api.goodsverify.dto;

import lombok.Data;

import java.util.Date;

@Data
public class GoodsVerifyRespDTO {

    /**
     * 编码
     */
    private Long id;
    /**
     * 商品名称
     */
    private String goodsName;
    /**
     * 商品ID
     */
    private String goodsId;
    /**
     * 认证名称
     */
    private String verifyName;
    /**
     * 认证机构
     */
    private String verifyAgencies;
    /**
     * 有效起始时间
     */
    private Date verifyStartTime;
    /**
     * 有效截止时间
     */
    private Date verifyEndTime;
    /**
     * 认证资料url，以：分割，最多6张
     */
    private String verifyDataUrl;
    /**
     * 是否长期有效
     */
    private Boolean verifyIsForver;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;

}
