package cn.iocoder.yudao.module.basic.convert.inputsinfo;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.basic.api.goodsinputrelational.dto.InputInfoRelationalRespDTO;
import cn.iocoder.yudao.module.basic.api.inputsinfo.dto.InputsInfoRespDTO;
import cn.iocoder.yudao.module.basic.controller.admin.inputsinfo.vo.*;
import cn.iocoder.yudao.module.basic.dal.dataobject.inputsinfo.InputsInfoDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 投入品 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface InputsInfoConvert {

    InputsInfoConvert INSTANCE = Mappers.getMapper(InputsInfoConvert.class);

    InputsInfoDO convert(InputsInfoCreateReqVO bean);

    InputsInfoDO convert(InputsInfoUpdateReqVO bean);

    InputsInfoRespVO convert(InputsInfoDO bean);

    List<InputsInfoRespDTO> convertToDTOList(List<InputsInfoDO> list);

    InputsInfoRespDTO convertToDTO(InputsInfoDO bean);

    List<InputsInfoRespVO> convertList(List<InputsInfoDO> list);

    PageResult<InputsInfoRespVO> convertPage(PageResult<InputsInfoDO> page);

    List<InputInfoRelationalRespDTO> convertRelationalRespList(List<InputsInfoDO> list);

}
