package cn.iocoder.yudao.module.basic.framework.rpc.config;

import cn.iocoder.yudao.module.configure.api.uniTemplate.UniTemplateApi;
import cn.iocoder.yudao.module.flow.api.outbound.OutboundApi;
import cn.iocoder.yudao.module.identity.api.businessrule.BusinessRuleApi;
import cn.iocoder.yudao.module.infra.api.file.FileApi;
import cn.iocoder.yudao.module.product.api.harvestbatch.HarvestBatchApi;
import cn.iocoder.yudao.module.product.api.inputsbatch.InputsBatchApi;
import cn.iocoder.yudao.module.product.api.inputsbuy.InputsBuyApi;
import cn.iocoder.yudao.module.product.api.landjob.LandJobApi;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Configuration;

@Configuration(proxyBeanMethods = false)
@EnableFeignClients(clients = {
        BusinessRuleApi.class,
        FileApi.class,
        UniTemplateApi.class,
        OutboundApi.class,
        InputsBatchApi.class,
        InputsBuyApi.class,
        HarvestBatchApi.class,
        LandJobApi.class,
})
public class RpcConfiguration {
}
