package cn.iocoder.yudao.module.basic.service.goodsinputrelational;

import cn.iocoder.yudao.module.basic.api.goodsinputrelational.dto.RelationalRespDTO;
import cn.iocoder.yudao.module.basic.controller.admin.goodsinputrelational.vo.GoodsInputRelationalCreateBatchReqVO;
import cn.iocoder.yudao.module.basic.controller.admin.goodsinputrelational.vo.GoodsInputRelationalCreateReqVO;

import java.util.List;

/**
 * 投入品与商品映射 Service 接口
 *
 * @author 芋道源码
 */
public interface GoodsInputRelationalService {

    /**
     * 根据商品编码查询投入品信息
     * @param goodsIds
     * @return
     */
    RelationalRespDTO getInputInfoByGoodsId(List<String> goodsIds);

    /**
     * 创建
     * @param createReqVO
     * @return
     */
    void createGoodsInputRelationalBatch(GoodsInputRelationalCreateBatchReqVO createReqVO);

}
