package cn.iocoder.yudao.module.flow.api.outbound.dto;

import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class OutboundRespDTO {
    /**
     * 编号
     */
    private Long id;
    /**
     * 经销商id
     */
    private String vendorId;
    /**
     * 经销商名称
     */
    private String vendorName;

    /**
     * 商品编码
     */
    private String goodsId;
    /**
     * 出库单号
     */
    private String outBoundId;
    /**
     * 出库时间
     */
    private Date outBoundTime;
    /**
     * 承运人
     */
    private String carrierVehicles;
    /**
     * 承运车辆
     */
    private String carrier;
    /**
     * 联系方式
     */
    private String carrierContact;
    /**
     * 上链状态 0：未上链  1：激活状态  2：冻结状态
     */
    private Integer blockState;
    /**
     * 出库批次上链区块id
     */
    private String blockChainId;
    /**
     * 出库批次上链区块唯一识别码
     */
    private String blockChainBlockIdentity;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;

    List<OutboundGoodsDTO> outboundGoodsList;

}
