package cn.iocoder.yudao.module.flow.controller.admin.outbound.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 出库单 Excel VO
 *
 * @author 芋道源码
 */
@Data
public class OutboundExcelVO {

    @ExcelProperty("编号")
    private Long id;

    @ExcelProperty("经销商id")
    private String vendorId;

    @ExcelProperty("经销商名称")
    private String vendorName;

    @ExcelProperty("出库单号")
    private String outBoundId;

    @ExcelProperty("出库时间")
    private Date outBoundTime;

    @ExcelProperty("承运人")
    private String carrierVehicles;

    @ExcelProperty("承运车辆")
    private String carrier;

    @ExcelProperty("联系方式")
    private String carrierContact;

    @ExcelProperty("上链状态 0：未上链  1：激活状态  2：冻结状态")
    private Integer blockState;

    @ExcelProperty("出库批次上链区块id")
    private String blockChainId;

    @ExcelProperty("出库批次上链区块唯一识别码")
    private String blockChainBlockIdentity;

    @ExcelProperty("所属商户id")
    private Long belongBusinessId;

    @ExcelProperty("所属商户名称")
    private String belongBusinessName;

    @ExcelProperty("创建时间")
    private Date createTime;

}
