package cn.iocoder.yudao.module.flow.controller.admin.outbound.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class OutboundInfoDataRespVO {

    @ApiModelProperty(value = "农产品出库每个商品的当月统计信息")
    private List<OutboundStatisticsDataRespVO> goodsWeekStatisticsDatas;

    @ApiModelProperty(value = "农产品出库最新七天统计信息")
    private List<OutboundStatisticsDataRespVO> goodsMonthStatisticsDatas;

    @ApiModelProperty(value = "出库月统计总重量")
    private BigDecimal todayOutboundCount;

}
