package cn.iocoder.yudao.module.flow.controller.admin.outboundgoods.vo;

import cn.iocoder.yudao.module.flow.controller.admin.outbound.vo.OutboundSaveReqVO;
import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import io.swagger.annotations.*;

import javax.validation.Valid;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 出库单商品创建 Request VO")
@Data
@ToString(callSuper = true)
public class OutboundGoodsCreateReqVO {

//    @ApiModelProperty(value = "出库单-商品批次关联绑定id", required = true)
//    @NotNull(message = "出库单-商品批次关联绑定id不能为空")
//    private String bindId;

    @ApiModelProperty(value = "商品id", required = true)
    @NotNull(message = "商品id不能为空")
    private String goodsId;

    @ApiModelProperty(value = "商品名称", required = true)
    @NotNull(message = "商品名称不能为空")
    private String goodsName;

    @ApiModelProperty(value = "出库单号", required = true)
    @NotNull(message = "出库单号不能为空")
    private String outBoundId;

    @ApiModelProperty(value = "出库关联采收批次id", required = true)
    @NotNull(message = "出库关联采收批次id不能为空")
    private String harvestBatchId;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    @NotNull(message = "所属商户名称不能为空")
    private String belongBusinessName;

    @ApiModelProperty(value = "出库单号", required = true)
    @Valid
    private List<OutboundGoodsSaveReqVO> OutBounds;

}
