package cn.iocoder.yudao.module.flow.controller.admin.outboundgoods.vo;

import lombok.*;
import java.util.*;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.math.BigDecimal;
import io.swagger.annotations.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 出库单商品 Excel VO
 *
 * @author 芋道源码
 */
@Data
public class OutboundGoodsExcelVO {

    @ExcelProperty("编码")
    private Long id;

    @ExcelProperty("出库单-商品批次关联绑定id")
    private String bindId;

    @ExcelProperty("商品id")
    private String goodsId;

    @ExcelProperty("商品名称")
    private String goodsName;

    @ExcelProperty("出库单号")
    private String outBoundId;

    @ExcelProperty("出库关联采收批次id")
    private String harvestBatchId;

    @ExcelProperty("溯源码数量")
    private Integer identityCodeNum;

    @ApiModelProperty(value = "商品数量")
    private Integer goodsNum;

    @ExcelProperty("商品单位")
    private String goodsUnit;

    @ExcelProperty("商品重量")
    private BigDecimal goodsWeight;

    @ExcelProperty("商品单价")
    private BigDecimal goodsUnitPrice;

    @ExcelProperty("总价")
    private BigDecimal totalPrice;

    @ExcelProperty("创建时间")
    private Date createTime;

    @ExcelProperty("所属商户id")
    private Long belongBusinessId;

    @ExcelProperty("所属商户名称")
    private String belongBusinessName;

}
