package cn.iocoder.yudao.module.flow.controller.admin.outboundgoods.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@ApiModel("管理后台 - 出库单商品 Response VO (精简版)")
@Data
public class OutboundgoodsForTransferRespVO {

    @ApiModelProperty(value = "编码", required = true)
    private Long id;

    @ApiModelProperty(value = "商品id", required = true)
    private String goodsId;

    @ApiModelProperty(value = "商品名称", required = true)
    private String goodsName;

    @ApiModelProperty(value = "出库关联采收批次id", required = true)
    private String harvestBatchId;

    @ApiModelProperty(value = "商品单位")
    private String goodsUnit;

    @ApiModelProperty(value = "总价")
    private BigDecimal totalPrice;
}
