package cn.iocoder.yudao.module.flow.framework.rpc.config;
import cn.iocoder.yudao.module.basic.api.dealerinfo.DealerInfoApi;
import cn.iocoder.yudao.module.chain.api.blockcertificate.BlockCertificateApi;
import cn.iocoder.yudao.module.flow.api.outboundgoods.OtboundgoodsApi;
import cn.iocoder.yudao.module.product.api.harvestbatch.HarvestBatchApi;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Configuration;

@Configuration(proxyBeanMethods = false)
@EnableFeignClients(clients = {
        HarvestBatchApi.class,
        DealerInfoApi.class,
        OtboundgoodsApi.class,
        BlockCertificateApi.class,
})
public class RpcConfiguration {
}
