package cn.iocoder.yudao.module.product.api.inputsbatch.dto;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @ClassName inputsBuyDTO
 * @Description TODO
 * @Author q5932
 * @Date 2023/5/22 13:13
 * @Version 1.0
 **/
@Data
public class InputsBatchDTO {

    /**
     * 编号
     */
    private Long id;
    /**
     * 投入品名称
     */
    private String inputsName;
    /**
     * 投入品ID
     */
    private String inputsId;
    /**
     * 投入品批次ID
     */
    private String inputsBatchId;
    /**
     * 投入品采购单号
     */
    private String inputsBuyId;
    /**
     * 生产日期
     */
    private Date productData;
    /**
     * 投入品数量
     */
    private Integer inputsNum;
    /**
     * 投入品单位
     */
    private String inputsUnit;
    /**
     * 投入品总量
     */
    private BigDecimal inputsWeight;
    /**
     * 投入品单价
     */
    private BigDecimal inputsUnitPrice;
    /**
     * 投入品总价
     */
    private BigDecimal totalPrice;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 上链状态 0：未上链  1：激活状态  2：冻结状态
     */
    private Integer blockState;
    /**
     * 批次上链区块id
     */
    private String blockChainId;
    /**
     * 批次上链区块唯一识别码
     */
    private String blockChainBlockIdentity;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;

}
