package cn.iocoder.yudao.module.product.api.landjob.dto;


import lombok.*;

import java.util.Date;

@Data
public class LandJobDTO {

    /**
     * 编号
     */
    private Long id;
    /**
     * 地块ID
     */
    private String landId;
    /**
     * 地块名称
     */
    private String landName;
    /**
     * 种植作业ID
     */
    private String landJobId;
    /**
     * 类型：0：地块 1：鱼塘  2：牧场
     */
    private Integer landType;
    /**
     * 任务类型
     */
    private Long jobType;
    /**
     * 作业员工
     */
    private String jobWorker;
    /**
     * 作业ID
     */
    private Long jobWorkerId;
    /**
     * 作业日期
     */
    private Date jobDate;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;
    /**
     * 上链状态 0：未上链  1：激活状态  2：冻结状态
     */
    private Integer blockState;

}
