package cn.iocoder.yudao.module.product.controller.admin.envdata.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 环境数据 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class EnvDataBaseVO {

    @ApiModelProperty(value = "环境类型")
    private Long envTypeId;

    @ApiModelProperty(value = "环境数据名称")
    private String envName;

    @ApiModelProperty(value = "地块/鱼塘/牧场编码")
    private String landId;

    @ApiModelProperty(value = "地块名称")
    private String landName;

    @ApiModelProperty(value = "数据值")
    private String value;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    @NotNull(message = "所属商户名称不能为空")
    private String belongBusinessName;

}
