package cn.iocoder.yudao.module.product.controller.admin.inputsbatch.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

@ApiModel("管理后台 - 投入品批次分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class InputsBatchPageReqVO extends PageParam {

    @ApiModelProperty(value = "投入品名称")
    private String inputsName;

    @ApiModelProperty(value = "投入品批次ID")
    private String inputsBatchId;

    @ApiModelProperty(value = "投入品采购单号")
    private String inputsBuyId;

    @ApiModelProperty(value = "生产日期")
    private Date productData;

    @ApiModelProperty(value = "上链状态 0：未上链  1：激活状态  2：冻结状态")
    private Integer blockState;

    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;

}
