package cn.iocoder.yudao.module.product.controller.admin.inputsbuy.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.List;

@ApiModel("管理后台 - 投入品采购 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class InputBuyForOutBoundRespVO extends InputsBuyRespVO {

    /**
     * 是否需要先关联投入品信息
     * 如果为true
     * 则 GoodsInfos 中有商品信息
     */
    @ApiModelProperty(value = "是否需要先关联投入品信息")
    private Boolean needRelaInputInfo;

    @ApiModelProperty(value = "商品信息集合")
    private List<GoodsInfoReqVO> GoodsInfos;

}
