package cn.iocoder.yudao.module.product.controller.admin.landblockstate.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

@ApiModel("管理后台 - 地块状态分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class LandBlockStatePageReqVO extends PageParam {

    @ApiModelProperty(value = "地块状态")
    private String landStateName;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", timezone="GMT")
    @ApiModelProperty(value = "创建时间")
    private Date[] createTime;

}
