package cn.iocoder.yudao.module.product.controller.admin.landinfo.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 农事土地信息 Excel VO
 *
 * @author 芋道源码
 */
@Data
public class LandInfoExcelVO {

    @ExcelProperty("编码")
    private Long id;

    @ExcelProperty("地块/鱼塘/牧场名称")
    private String landName;

    @ExcelProperty("地块/鱼塘/牧场编码")
    private String landId;

    @ExcelProperty("面积")
    private BigDecimal size;

    @ExcelProperty("地块状态 关联block_state表id")
    private Long state;

    @ExcelProperty("备注")
    private String remarks;

    @ExcelProperty("地块类型 关联info_type表id")
    private Long landType;

    @ExcelProperty("所属商户id")
    private Long belongBusinessId;

    @ExcelProperty("所属商户名称")
    private String belongBusinessName;

    @ExcelProperty("创建时间")
    private Date createTime;

}
