package cn.iocoder.yudao.module.product.controller.admin.landinfotype.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@ApiModel("管理后台 - 地块类型分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class LandInfoTypePageReqVO extends PageParam {

    @ApiModelProperty(value = "地块类型")
    private String landTypeName;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", timezone="GMT")
    @ApiModelProperty(value = "创建时间")
    private Date[] createTime;

}
