package cn.iocoder.yudao.module.product.controller.admin.landinfotype.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@ApiModel("管理后台 - 地块类型更新 Request VO")
@Data
public class LandInfoTypeUpdateReqVO {

    @ApiModelProperty(value = "编码", required = true)
    @NotNull(message = "编码不能为空")
    private Long id;

    @ApiModelProperty(value = "地块类型", required = true)
    @NotNull(message = "地块类型名称不能为空")
    private String landTypeName;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;
}
