package cn.iocoder.yudao.module.product.controller.admin.landjob.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
public class LandJobRedisVO {

    @ApiModelProperty(value = "作业员工", required = true)
    @NotNull(message = "作业员工不能为空")
    private String jobWorker;

    @ApiModelProperty(value = "任务类型", required = true)
    @NotNull(message = "任务类型不能为空")
    private Long jobType;

    @ApiModelProperty(value = "地块ID", required = true)
    @NotNull(message = "地块ID不能为空")
    private String landId;

    @ApiModelProperty(value = "地块名称", required = true)
    @NotNull(message = "地块名称不能为空")
    private String landName;

    @ApiModelProperty(value = "作业日期", required = true)
    @NotNull(message = "作业日期不能为空")
    private Date jobDate;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    @NotNull(message = "所属商户名称不能为空")
    private String belongBusinessName;
}
