package cn.iocoder.yudao.module.product.controller.admin.landjob.vo;

import cn.iocoder.yudao.module.product.controller.admin.landjobinputs.vo.LandJobInputsRespVO;
import lombok.*;
import io.swagger.annotations.*;

import java.util.Date;
import java.util.List;

@ApiModel("管理后台 - 种植/养殖/畜牧作业 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class LandJobRespVO extends LandJobBaseVO {

    @ApiModelProperty(value = "编号", required = true)
    private Long id;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "任务类型名")
    private String jobTypeName;

    @ApiModelProperty(value = "出库关联采收批次集合")
    private List<LandJobInputsRespVO> landJobIds;

    @ApiModelProperty(value = "农事作业所对应的投入品集合")
    private List<LandJobInputsRespVO> landJobInputs;

}
