package cn.iocoder.yudao.module.product.controller.admin.landjobtype.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;
import io.swagger.annotations.*;

import java.util.Date;

@ApiModel("管理后台 - 作业类型 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class LandJobTypeRespVO extends LandJobTypeBaseVO {

    @ApiModelProperty(value = "编号", required = true)
    private Long id;

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", timezone="GMT")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

}
