package cn.iocoder.yudao.module.product.controller.admin.landplan.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 地块作业计划 Excel VO
 *
 * @author 芋道源码
 */
@Data
public class LandPlanExcelVO {

    @ExcelProperty("编码")
    private Long id;

    @ExcelProperty("地块ID")
    private String landId;

    @ExcelProperty("地块名称")
    private String landName;

    @ExcelProperty("种植计划ID")
    private String landPlanId;

    @ExcelProperty("商品ID")
    private String goodsId;

    @ExcelProperty("商品名称")
    private String goodsName;

    @ExcelProperty("计划种植时间")
    private Date planStartTime;

    @ExcelProperty("计划收获时间")
    private Date planEndTime;

    @ExcelProperty("所属商户id")
    private Long belongBusinessId;

    @ExcelProperty("所属商户名称")
    private String belongBusinessName;

    @ExcelProperty("备注")
    private String remark;

    @ExcelProperty("创建时间")
    private Date createTime;

}
