package cn.iocoder.yudao.module.product.controller.admin.landplan.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel("管理后台 - 地块作业计划 Response VO")
@Data
public class LandPlanReqVO {

    @ApiModelProperty(value = "商品编码")
    @NotNull(message = "商品编码不能为空")
    private String goodsId;

    @ApiModelProperty(value = "编码集合")
    private List<String> planIds;

    @ApiModelProperty(value = "主键ID集合")
    private List<Long> ids;
}
