package cn.iocoder.yudao.module.product.controller.app.landjob.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@ApiModel("app端 - 地块作业 Request VO")
@Data
public class LandJobReqVO {

    @ApiModelProperty(value = "操作对象ID")
    @NotNull
    private Long objId;

    @ApiModelProperty(value = "操作类型")
    @NotNull
    private Integer operateType;

    @ApiModelProperty(value = "天数，默认30天")
    private Integer day = 30;
}
