package cn.iocoder.yudao.module.product.convert.landblockstate;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.product.controller.admin.landblockstate.vo.*;
import cn.iocoder.yudao.module.product.dal.dataobject.landblockstate.LandBlockStateDO;

/**
 * 地块状态 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface LandBlockStateConvert {

    LandBlockStateConvert INSTANCE = Mappers.getMapper(LandBlockStateConvert.class);

    LandBlockStateDO convert(LandBlockStateCreateReqVO bean);

    LandBlockStateDO convert(LandBlockStateUpdateReqVO bean);

    LandBlockStateRespVO convert(LandBlockStateDO bean);

    List<LandBlockStateRespVO> convertList(List<LandBlockStateDO> list);

    PageResult<LandBlockStateRespVO> convertPage(PageResult<LandBlockStateDO> page);

}
