package cn.iocoder.yudao.module.product.convert.landinfo;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.product.controller.admin.landinfo.vo.*;
import cn.iocoder.yudao.module.product.dal.dataobject.landinfo.LandInfoDO;

/**
 * 农事土地信息 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface LandInfoConvert {

    LandInfoConvert INSTANCE = Mappers.getMapper(LandInfoConvert.class);

    LandInfoDO convert(LandInfoCreateReqVO bean);

    LandInfoDO convert(LandInfoUpdateReqVO bean);

    LandInfoRespVO convert(LandInfoDO bean);

    List<LandInfoRespVO> convertList(List<LandInfoDO> list);

    PageResult<LandInfoRespVO> convertPage(PageResult<LandInfoDO> page);

    List<LandInfoExcelVO> convertList02(List<LandInfoDO> list);

}
