package cn.iocoder.yudao.module.basic.api.inputsinfo.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * InputsInfo 投入品 Response DTO
 *
 * @author 芋道源码
 */
@Data
public class InputsInfoRespDTO {

    /**
     * 编码
     */
    @ApiModelProperty(value = "主键id")
    private Long id;
    /**
     * 投入品名称
     */
    @ApiModelProperty(value = "投入品名称")
    private String inputsName;
    /**
     * 投入品id
     */
    @ApiModelProperty(value = "投入品id")
    private String inputsId;
    /**
     * 投入品单位
     */
    @ApiModelProperty(value = "投入品单位")
    private String inputsUnit;
    /**
     * 投入品规格
     */
    @ApiModelProperty(value = "投入品规格")
    private String inputsSpecs;
    /**
     * 投入品说明
     */
    @ApiModelProperty(value = "投入品说明")
    private String inputsRemarks;
    /**
     * 图片url，以','分割，最多6张
     */
    @ApiModelProperty(value = "图片url，以','分割，最多6张")
    private String inputsPhotoUrl;
    /**
     * 保质期天数
     */
    @ApiModelProperty(value = "保质期天")
    private Integer shelfLife;
    /**
     * 所属商户id
     */
    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;
}
