package cn.iocoder.yudao.module.basic.controller.admin.goodsinputrelational.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@ApiModel("管理后台 - 投入品与商品关系创建 Request VO")
@Data
public class GoodsInputRelationalCreateReqVO {

    @ApiModelProperty(value = "商品编码", required = true)
    @NotNull(message = "商品编码不能为空")
    private String goodsId;

    @ApiModelProperty(value = "投入品编码")
//    @NotNull(message = "投入品编码不能为空")
    private String inputsId;
}
