package cn.iocoder.yudao.module.basic.controller.admin.inputsinfo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;

@ApiModel("管理后台 - 投入品 Response VO (精简版)")
@Data
public class InputsInfoForTransferRespVO {

    @ApiModelProperty(value = "编码", required = true)
    private Long id;

    @ApiModelProperty(value = "投入品id", required = true)
    private String inputsId;

    @ApiModelProperty(value = "投入品名称", required = true)
    private String inputsName;

    @ApiModelProperty(value = "投入品单位", required = true)
    private String inputsUnit;

}
