package cn.iocoder.yudao.module.configure.convert.tracecert;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.configure.controller.admin.tracecert.vo.*;
import cn.iocoder.yudao.module.configure.dal.dataobject.tracecert.TraceCertDO;

/**
 * 溯源链证书配置 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface TraceCertConvert {

    TraceCertConvert INSTANCE = Mappers.getMapper(TraceCertConvert.class);

    TraceCertDO convert(TraceCertCreateReqVO bean);

    TraceCertDO convert(TraceCertUpdateReqVO bean);

    TraceCertRespVO convert(TraceCertDO bean);

    List<TraceCertRespVO> convertList(List<TraceCertDO> list);

    PageResult<TraceCertRespVO> convertPage(PageResult<TraceCertDO> page);

}
