package cn.iocoder.yudao.module.flow.api.outbound.dto;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class OutboundGoodsDTO {

    /**
     * 编码
     */
    private Long id;
    /**
     * 出库单-商品批次关联绑定id
     */
    private String bindId;
    /**
     * 商品id
     */
    private String goodsId;
    /**
     * 商品名称
     */
    private String goodsName;
    /**
     * 出库单号
     */
    private String outBoundId;
    /**
     * 出库关联采收批次id
     */
    private String harvestBatchId;
    /**
     * 溯源码数量
     */
    private Integer identityCodeNum;
    /**
     * 商品单位
     */
    private String goodsUnit;
    /**
     * 商品重量
     */
    private BigDecimal goodsWeight;
    /**
     * 商品单价
     */
    private BigDecimal goodsUnitPrice;
    /**
     * 总价
     */
    private BigDecimal totalPrice;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;

}
