package cn.iocoder.yudao.module.flow.controller.admin.outbound.vo;

import cn.iocoder.yudao.module.flow.controller.admin.outboundgoods.vo.OutboundGoodsRespVO;
import lombok.*;
import io.swagger.annotations.*;

import java.util.Date;
import java.util.List;

@ApiModel("管理后台 - 出库单 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OutboundRespVO extends OutboundBaseVO {

    @ApiModelProperty(value = "编号", required = true)
    private Long id;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "出库关联采收批次集合")
    private List<OutboundGoodsRespVO> outboundGoods;

}
