package cn.iocoder.yudao.module.flow.controller.admin.outboundgoods.vo;

import lombok.*;
import java.util.*;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.math.BigDecimal;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 出库单商品 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class OutboundGoodsBaseVO {

//    @ApiModelProperty(value = "出库单-商品批次关联绑定id", required = true)
//    @NotNull(message = "出库单-商品批次关联绑定id不能为空")
//    private String bindId;

    @ApiModelProperty(value = "商品id", required = true)
    @NotNull(message = "商品id不能为空")
    private String goodsId;

    @ApiModelProperty(value = "商品名称", required = true)
    @NotNull(message = "商品名称不能为空")
    private String goodsName;

    @ApiModelProperty(value = "出库单号", required = true)
    @NotNull(message = "出库单号不能为空")
    private String outBoundId;

    @ApiModelProperty(value = "出库关联采收批次id", required = true)
    @NotNull(message = "出库关联采收批次id不能为空")
    private String harvestBatchId;

    @ApiModelProperty(value = "溯源码数量")
    private Integer identityCodeNum;

    @ApiModelProperty(value = "商品数量")
    private Integer goodsNum;

    @ApiModelProperty(value = "商品单位")
    private String goodsUnit;

    @ApiModelProperty(value = "商品重量")
    private BigDecimal goodsWeight;

    @ApiModelProperty(value = "商品单价")
    private BigDecimal goodsUnitPrice;

    @ApiModelProperty(value = "总价")
    private BigDecimal totalPrice;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    @NotNull(message = "所属商户名称不能为空")
    private String belongBusinessName;

}
