package cn.iocoder.yudao.module.identity.controller.admin.businessrule.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 码规则 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class BusinessRuleBaseVO {

    @ApiModelProperty(value = "商户id")
    private String businessId;

    @ApiModelProperty(value = "商户名称")
    private String businessName;

    @ApiModelProperty(value = "溯源码规则标识码")
    private String codeRuleId;

    @ApiModelProperty(value = "码规则名称")
    private String codeRuleName;

    @ApiModelProperty(value = "码类型：0：普通码 1：明暗码")
    private Integer codeType;

    @ApiModelProperty(value = "码规则")
    private String codeRuleFormat;

}
