package cn.iocoder.yudao.module.identity.controller.admin.businessrule.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 码规则 Excel VO
 *
 * @author 芋道源码
 */
@Data
public class BusinessRuleExcelVO {

    @ExcelProperty("编码")
    private Long id;

    @ExcelProperty("商户id")
    private String businessId;

    @ExcelProperty("商户名称")
    private String businessName;

    @ExcelProperty("溯源码规则标识码")
    private String codeRuleId;

    @ExcelProperty("码规则名称")
    private String codeRuleName;

    @ExcelProperty("码类型：0：普通码 1：明暗码")
    private Integer codeType;

    @ExcelProperty("码规则")
    private String codeRuleFormat;

    @ExcelProperty("创建时间")
    private Date createTime;

}
