package cn.iocoder.yudao.module.identity.controller.admin.businessrule.vo;


import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;

@ApiModel(value = "管理后台 - 码规则 Excel 导出 Request VO", description = "参数和 BusinessRulePageReqVO 是一致的")
@Data
public class BusinessRuleExportReqVO {

    @ApiModelProperty(value = "商户id")
    private String businessId;

    @ApiModelProperty(value = "商户名称")
    private String businessName;

    @ApiModelProperty(value = "溯源码规则标识码")
    private String codeRuleId;

    @ApiModelProperty(value = "码规则名称")
    private String codeRuleName;

    @ApiModelProperty(value = "码类型：0：普通码 1：明暗码")
    private Integer codeType;

    @ApiModelProperty(value = "码规则")
    private String codeRuleFormat;

    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date[] createTime;

}
