package cn.iocoder.yudao.module.product.controller.admin.inputsbatch.vo;

import lombok.*;
import java.util.*;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.math.BigDecimal;
import io.swagger.annotations.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 投入品批次 Excel VO
 *
 * @author 芋道源码
 */
@Data
public class InputsBatchExcelVO {

    @ExcelProperty("编号")
    private Long id;

    @ExcelProperty("投入品名称")
    private String inputsName;

    @ExcelProperty("投入品ID")
    private String inputsId;

    @ExcelProperty("投入品批次ID")
    private String inputsBatchId;

    @ExcelProperty("投入品采购单号")
    private String inputsBuyId;

    @ExcelProperty("生产日期")
    private Date productData;

    @ExcelProperty("投入品数量")
    private Integer inputsNum;

    @ExcelProperty("投入品单位")
    private String inputsUnit;

    @ExcelProperty("投入品总量")
    private BigDecimal inputsWeight;

    @ExcelProperty("投入品单价")
    private BigDecimal inputsUnitPrice;

    @ExcelProperty("投入品总价")
    private BigDecimal totalPrice;

    @ExcelProperty("备注")
    private String remarks;

    @ExcelProperty("上链状态 0：未上链  1：激活状态  2：冻结状态")
    private Integer blockState;

    @ExcelProperty("批次上链区块id")
    private String blockChainId;

    @ExcelProperty("批次上链区块唯一识别码")
    private String blockChainBlockIdentity;

    @ExcelProperty("所属商户id")
    private Long belongBusinessId;

    @ExcelProperty("所属商户名称")
    private String belongBusinessName;

    @ExcelProperty("创建时间")
    private Date createTime;

}
