package cn.iocoder.yudao.module.product.controller.admin.inputsbuy.vo;

import cn.iocoder.yudao.module.product.controller.admin.inputsbatch.vo.InputsBatchRespVO;
import lombok.*;
import io.swagger.annotations.*;

import java.util.Date;
import java.util.List;

@ApiModel("管理后台 - 投入品采购 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class InputsBuyRespVO extends InputsBuyBaseVO {

    @ApiModelProperty(value = "编号", required = true)
    private Long id;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "上链状态")
    private Integer blockState;

    @ApiModelProperty(value = "投入品批次集合")
    private List<InputsBatchRespVO> inputsBatchs;
}
