package cn.iocoder.yudao.module.product.controller.admin.inputsbuy.vo;

import cn.iocoder.yudao.module.product.controller.admin.inputsbatch.vo.InputsBatchSaveReqVO;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

import javax.validation.Valid;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 投入品采购更新 Request VO")
@Data
public class InputsBuyUpdateReqVO {

    @ApiModelProperty(value = "编号", required = true)
    @NotNull(message = "编号不能为空")
    private Long id;

    @ApiModelProperty(value = "关联出库单号")
    private String relateOutboundId;

    @ApiModelProperty(value = "入库时间", required = true)
    @NotNull(message = "入库时间不能为空")
    private Date inputsBuyTime;

    @ApiModelProperty(value = "投入品采购单号", required = true)
    @NotEmpty(message = "投入品不能为空")
    @Valid
    private List<InputsBatchSaveReqVO> inputsBatchs;

}
