package cn.iocoder.yudao.module.product.controller.admin.landblockstate.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;

@ApiModel("管理后台 - 地块状态创建 Request VO")
@Data
@ToString(callSuper = true)
public class LandBlockStateCreateReqVO  {

    @ApiModelProperty(value = "地块状态", required = true)
    @NotNull(message = "地块类型名称不能为空")
    private String landStateName;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;
}
