package cn.iocoder.yudao.module.product.controller.admin.landinfo.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.*;
import io.swagger.annotations.*;

import java.util.Date;

@ApiModel("管理后台 - 农事土地信息 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class LandInfoRespVO extends LandInfoBaseVO {

    @ApiModelProperty(value = "编码", required = true)
    private Long id;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 地块类型（String） 为了显示
     */
    @TableField(exist = false)
    private String infoTypeName;

    /**
     * 地块状态（String） 为了显示
     */
    @TableField(exist = false)
    private String infoStateName;

}
