package cn.iocoder.yudao.module.product.controller.admin.landjobinputs.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 地块作业投入品 Excel VO
 *
 * @author 芋道源码
 */
@Data
public class LandJobInputsExcelVO {

    @ExcelProperty("编号")
    private Long id;

    @ExcelProperty("种植作业ID")
    private String landJobId;

    @ExcelProperty("投入品名称")
    private String inputsName;

    @ExcelProperty("投入品ID")
    private String inputsId;

    @ExcelProperty("投入品批次ID")
    private String inputsBatchId;

    @ExcelProperty("投入品数量")
    private Integer inputsNum;

    @ExcelProperty("投入品单位")
    private String inputsUnit;

    @ExcelProperty("投入品描述")
    private String inputsDesc;

    @ExcelProperty("创建时间")
    private Date createTime;

    @ExcelProperty("所属商户id")
    private Long belongBusinessId;

    @ExcelProperty("所属商户名称")
    private String belongBusinessName;

}
