package cn.iocoder.yudao.module.product.controller.admin.landjobinputs.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

@ApiModel(value = "管理后台 - 地块作业投入品 Excel 导出 Request VO", description = "参数和 LandJobInputsPageReqVO 是一致的")
@Data
public class LandJobInputsExportReqVO {

    @ApiModelProperty(value = "种植作业ID")
    private String landJobId;

    @ApiModelProperty(value = "投入品名称")
    private String inputsName;

    @ApiModelProperty(value = "投入品ID")
    private String inputsId;

    @ApiModelProperty(value = "投入品批次ID")
    private String inputsBatchId;

    @ApiModelProperty(value = "投入品数量")
    private Integer inputsNum;

    @ApiModelProperty(value = "投入品单位")
    private String inputsUnit;

    @ApiModelProperty(value = "投入品描述")
    private String inputsDesc;

    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date[] createTime;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;

}
