package cn.iocoder.yudao.module.product.controller.admin.landjobtype.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 作业类型创建 Request VO")
@Data
public class LandJobTypeCreateReqVO {

    @ApiModelProperty(value = "作业类型", required = true)
    @NotNull(message = "地块名称不能为空")
    private String typeName;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;
}
