package cn.iocoder.yudao.module.product.controller.admin.landjobtype.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 作业类型更新 Request VO")
@Data
public class LandJobTypeUpdateReqVO {

    @ApiModelProperty(value = "编号", required = true)
    @NotNull(message = "编号不能为空")
    private Long id;

    @ApiModelProperty(value = "作业类型", required = true)
    @NotNull(message = "地块名称不能为空")
    private String typeName;

    @ApiModelProperty(value = "所属商户id")
    @NotNull(message = "地块名称不能为空")
    private Long belongBusinessId;
}
