package cn.iocoder.yudao.module.product.controller.admin.landplan.vo;

import cn.iocoder.yudao.module.product.controller.admin.landjob.vo.LandJobRespVO;
import lombok.*;
import io.swagger.annotations.*;

import java.util.Date;
import java.util.List;

@ApiModel("管理后台 - 地块作业计划 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class LandPlanRespVO extends LandPlanBaseVO {

    @ApiModelProperty(value = "编码", required = true)
    private Long id;

    @ApiModelProperty(value = "地块类型：0：地块 1：鱼塘  2：牧场")
    private Integer landType;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "地块作业集合")
    private List<LandJobRespVO> landJobs;

}
