package cn.iocoder.yudao.module.product.controller.app.landjob.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotNull;

@ApiModel(value = "app移动端 - 上传文件 Request VO")
@Data
public class FileUploadReqVO {

    @ApiModelProperty(value = "文件附件", required = true)
    @NotNull(message = "文件附件不能为空")
    private MultipartFile file;

    @ApiModelProperty(value = "文件附件", example = "yudaoyuanma.png")
    private String path;

    @ApiModelProperty(value = "商户ID", required = true)
    @NotNull(message = "商户ID不能为空")
    private Long businessInfoId;

    @ApiModelProperty(value = "openid", required = true)
    @NotNull(message = "openid不能为空")
    private String openid;

}
