package cn.iocoder.yudao.module.product.convert.landinfotype;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.product.controller.admin.landinfotype.vo.*;
import cn.iocoder.yudao.module.product.dal.dataobject.landinfotype.LandInfoTypeDO;

/**
 * 地块类型 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface LandInfoTypeConvert {

    LandInfoTypeConvert INSTANCE = Mappers.getMapper(LandInfoTypeConvert.class);

    LandInfoTypeDO convert(LandInfoTypeCreateReqVO bean);

    LandInfoTypeDO convert(LandInfoTypeUpdateReqVO bean);

    LandInfoTypeRespVO convert(LandInfoTypeDO bean);

    List<LandInfoTypeRespVO> convertList(List<LandInfoTypeDO> list);

    PageResult<LandInfoTypeRespVO> convertPage(PageResult<LandInfoTypeDO> page);

}
