package cn.iocoder.yudao.module.product.convert.landjob;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import cn.iocoder.yudao.module.product.api.landjob.dto.LandJobDTO;
import cn.iocoder.yudao.module.product.controller.admin.landjobinputs.vo.LandJobInputsSaveReqVO;
import cn.iocoder.yudao.module.product.dal.dataobject.landjobinputs.LandJobInputsDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.product.controller.admin.landjob.vo.*;
import cn.iocoder.yudao.module.product.dal.dataobject.landjob.LandJobDO;

/**
 * 种植/养殖/畜牧作业 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface LandJobConvert {

    LandJobConvert INSTANCE = Mappers.getMapper(LandJobConvert.class);

    LandJobDO convert(LandJobCreateReqVO bean);

    LandJobDO convert(LandJobUpdateReqVO bean);

    LandJobRespVO convert(LandJobDO bean);

    List<LandJobRespVO> convertList(List<LandJobDO> list);

    PageResult<LandJobRespVO> convertPage(PageResult<LandJobDO> page);

    List<LandJobExcelVO> convertList02(List<LandJobDO> list);

    List<LandJobInputsDO> convertListCreate(List<LandJobInputsSaveReqVO> jobWorkerIds);

    List<LandJobDTO> convertToLandJobDTOList(List<LandJobDO> list);
}
