package cn.iocoder.yudao.module.product.convert.landjobinputs;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.product.controller.admin.landjobinputs.vo.*;
import cn.iocoder.yudao.module.product.dal.dataobject.landjobinputs.LandJobInputsDO;

/**
 * 地块作业投入品 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface LandJobInputsConvert {

    LandJobInputsConvert INSTANCE = Mappers.getMapper(LandJobInputsConvert.class);

    LandJobInputsDO convert(LandJobInputsCreateReqVO bean);

    LandJobInputsDO convert(LandJobInputsSaveReqVO bean);

    LandJobInputsDO convert(LandJobInputsUpdateReqVO bean);

    LandJobInputsRespVO convert(LandJobInputsDO bean);

    List<LandJobInputsRespVO> convertList(List<LandJobInputsDO> list);

    PageResult<LandJobInputsRespVO> convertPage(PageResult<LandJobInputsDO> page);

    List<LandJobInputsExcelVO> convertList02(List<LandJobInputsDO> list);

    List<LandJobInputsDO> convertListCreate(List<LandJobInputsSaveReqVO>list);

}
