package cn.iocoder.yudao.module.product.convert.landjobtype;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.product.controller.admin.landjobtype.vo.*;
import cn.iocoder.yudao.module.product.dal.dataobject.landjobtype.LandJobTypeDO;

/**
 * 作业类型 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface LandJobTypeConvert {

    LandJobTypeConvert INSTANCE = Mappers.getMapper(LandJobTypeConvert.class);

    LandJobTypeDO convert(LandJobTypeCreateReqVO bean);

    LandJobTypeDO convert(LandJobTypeUpdateReqVO bean);

    LandJobTypeRespVO convert(LandJobTypeDO bean);

    List<LandJobTypeRespVO> convertList(List<LandJobTypeDO> list);

    PageResult<LandJobTypeRespVO> convertPage(PageResult<LandJobTypeDO> page);

}
