package cn.iocoder.yudao.module.product.convert.landplan;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.product.controller.admin.landplan.vo.*;
import cn.iocoder.yudao.module.product.dal.dataobject.landplan.LandPlanDO;

/**
 * 地块作业计划 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface LandPlanConvert {

    LandPlanConvert INSTANCE = Mappers.getMapper(LandPlanConvert.class);

    LandPlanDO convert(LandPlanCreateReqVO bean);

    LandPlanDO convert(LandPlanUpdateReqVO bean);

    LandPlanRespVO convert(LandPlanDO bean);

    List<LandPlanRespVO> convertList(List<LandPlanDO> list);

    PageResult<LandPlanRespVO> convertPage(PageResult<LandPlanDO> page);

    List<LandPlanExcelVO> convertList02(List<LandPlanDO> list);

}
